#include "tools/mlir-tblgen-builder/Builder/Builder.h"

int main() {
  builder::Builder builder;

  builder::Shape shape({100, 100});
  auto pType = builder::PrimitiveType::F32();
  builder::Type type(shape, pType);

  builder::Tensor tensor(std::vector<int>(100));

  auto op1 = builder::mhlo::ConstOp::build(builder, type, tensor);
  auto op2 = builder::mhlo::ConstOp::build(builder, type, tensor);
  auto op3 = builder::mhlo::AddOp::build(builder, type, op1, op2);

  builder.DumpModule();
  return 0;
}

// static ::builder::Op build(::builder::Builder &builder, ::builder::Type
// output, ::builder::Tensor value);
